Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SHA1_CTX Struct Reference

`#include <sha1.h>`

## Data Fields
uint32_t | state [5]
uint32_t | count [2]
uint8_t | buffer [64]

## Detailed Description

Definition at line 16 of file sha1.h.

## Field Documentation

uint8_t SHA1_CTX::buffer[64]

Definition at line 19 of file sha1.h.

Referenced by SHA1_Update().

uint32_t SHA1_CTX::count[2]

Definition at line 18 of file sha1.h.

Referenced by SHA1_Finish(), SHA1_Init(), and SHA1_Update().

uint32_t SHA1_CTX::state[5]

Definition at line 17 of file sha1.h.

Referenced by SHA1_Finish(), SHA1_Init(), and SHA1_Update().

The documentation for this struct was generated from the following file:

- ext/digest/sha1/sha1.h